Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Encodings Class Reference
[Unicode core]

## Detailed Description

Encodings information.

- All codepage definitions are read from list of ANSI -> Unicode associative files. These codepage files could be taken from www.unicode.org too.
- Two-stage tables are used to access Unicode -> ANSI transformation.

## Static Public Member Functions
static byte * | getEncodingBOM (int encoding)
| returns Byte Order Mark bytes for specified Unicode encoding
static int | getEncodingBOMSize (int encoding)
| returns Byte Order Mark bytes Length for specified Unicode encoding
static int | isMultibyteEncoding (int encoding)
static int | toBytes (int encoding, wchar, byte *)
static char | toChar (int, wchar)
static wchar | toWChar (int, char)
static int | getEncodingNamesNum ()
static int | getDefaultEncodingIndex ()
static const char * | getDefaultEncodingName ()
static int | getEncodingIndex (const char *enc)
static const char * | getEncodingName (int enc)
## Static Public Attributes
static const int | ENC_UTF8_BOM = 0xBFBBEF
static const int | ENC_UTF16_BOM = 0xFEFF
static const int | ENC_UTF16BE_BOM = 0xFFFE
static const int | ENC_UTF32_BOM = 0x0000FEFF
static const int | ENC_UTF32BE_BOM = 0xFFFE0000
static const int | ENC_UTF32BE = (-6)
static const int | ENC_UTF32 = (-5)
static const int | ENC_UTF16BE = (-4)
static const int | ENC_UTF16 = (-3)
static const int | ENC_UTF8 = (-2)

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.